Page MenuHomePhabricator

Allow disabling notifications for certain associated projects (sprints) on Maniphest tasks
Closed, DeclinedPublic

Description

(All?) WMF teams organize their work in sprints which means that at the start of one, all tasks get added to #Project-sprint-4711, perhaps moved around in that sprint's columns, etc. This information is mostly interesting for the people involved in the sprint, but for outsiders it's not relevant if a team met their plans, but if work was done and/or the task was resolved (or declined or …).

It would be nice to ignore such sprint-related actions on Maniphest tasks. The Email Preferences only allow to ignore all project changes or all column moves of a task, and if you choose that option, even changes in projects that you are watching are ignored.

There should be an option that actions related to sprint projects (IIUC "Is Sprint" = "Yes") are ignored if you are not a member of the (sprint) project.

Event Timeline

scfc created this task.Aug 27 2015, 4:51 PM
scfc raised the priority of this task from to Needs Triage.
scfc updated the task description. (Show Details)
scfc added a project: Phabricator.
scfc added a subscriber: scfc.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2015, 4:51 PM
scfc set Security to None.

Could you elaborate what's the definition of "actions related to sprint projects"?
As sprint projects are also projects, it's unclear to me which specific sprint project aspects you refer to and/or which generic project aspects that are also inherited by sprint projects.

scfc added a comment.Aug 27 2015, 5:45 PM

Unfortunately, my mails from the last waterfall expired, but take T109329 as an example with the assumption I would be watching the SRE project or had been subscribed to that task:

Andrew added a project: labs-sprint-110.
Andrew moved this task to Code Review/Blocked on the labs-sprint-110 workboard.
Andrew moved this task to Code Review / Blocked on the Labs-Sprint-109 workboard.
Andrew moved this task to Done on the labs-sprint-110 workboard.
Andrew moved this task to Doing on the labs-sprint-110 workboard.
Andrew added a project: Labs-Sprint-111.
Andrew moved this task to Doing on the Labs-Sprint-111 workboard.

I would like to receive no mail notifications for all of that, but if on the other hand the task had been moved around in the SRE workboard or #some-other-non-sprint-project-or-a-sprint-project-that-i'm-a-member-of had been added or removed, I would like to be notified about that.

Aklapper renamed this task from Ignore sprint-related actions on Maniphest tasks to Allow disabling notifications for certain associated projects (sprints) on Maniphest tasks.Feb 9 2016, 10:50 PM
Aklapper triaged this task as Lowest priority.
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptFeb 9 2016, 10:50 PM
Luke081515 moved this task from To Triage to Misc on the Phabricator board.Apr 5 2016, 4:38 PM

Honestly I don't think that this is going to happen.
(Personally I see Sprint projects dying in the long run in favor of milestone sub-projects.)

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 27 2016, 10:37 AM
Aklapper closed this task as Declined.Feb 12 2020, 4:43 PM

You can filter your mail notifications on specific projects. See https://www.mediawiki.org/wiki/Phabricator/Help/Managing_mail for more information.

Filtering on "project types" is not going to happen (plus what to do with a subproject of a subproject? What do to if you watch one project but want to ignore another project, and a task has both project tags associated?), hence I'm declining this task.